Loading...
Searching...
No Matches
BALL::VIEW::DockResultDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/dockResultDialog.h>`

Inheritance diagram for BALL::VIEW::DockResultDialog:

## Classes

class | Compare_

## Public Member Functions

Constructors and Destructors
| DockResultDialog (QWidget *parent=0, const char *name="DockResultDialog")
virtual | ~DockResultDialog ()
Assignment
const DockResultDialog & | operator= (const DockResultDialog &res_dialog)

## Accessors: mutators

void | setDockResult (DockResult *dock_res)
void | setDockedSystem (System *system)
void | addScoringFunction (const QString &name, DockingController::ScoringFunction score_func, QDialog *dialog=0)
void | show ()
void | showSnapshot ()
void | sortTable (int column)
void | showDockingOptions ()
void | upwardClicked ()
void | downwardClicked ()
void | scoringFuncChosen ()
void | advancedClicked ()
void | scoringClicked ()
void | closeClicked ()
void | selectionChanged_ ()
void | deleteColumn_ ()
void | showScoringOptions_ ()
void | redock_ ()

## Detailed Description

Dialog for showing the docking results.

Definition at line 28 of file dockResultDialog.h.

## Constructor & Destructor Documentation

## DockResultDialog()

BALL::VIEW::DockResultDialog::DockResultDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "DockResultDialog" )

Constructor

Parameters

  parent | the parent widget of the DockResultDialog
  name | the name of the DockResultDialog
  modal | the modal flag
  fl | the widget flags

## ~DockResultDialog()

virtual BALL::VIEW::DockResultDialog::~DockResultDialog | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## addScoringFunction()

void BALL::VIEW::DockResultDialog::addScoringFunction | ( | const QString & | name,
|  | DockingController::ScoringFunction | score_func,
|  | QDialog * | dialog = 0 )

Adds scoring function to combobox and its advanced option dialog to hashmap, if it has such a dialog.

Parameters

  name | the name of the scoring function
  score_func | the value of enum DockingController::ScoringFunction
  dialog | advanced option dialog

## advancedClicked

void BALL::VIEW::DockResultDialog::advancedClicked | ( |  | ) |

slot

Is called when advanced button for scoring function options is pressed. Shows corresponding options dialog, if it exits.

## closeClicked

void BALL::VIEW::DockResultDialog::closeClicked | ( |  | ) |

slot

Is called when close button is pressed. Closes and deletes the dialog.

## deleteColumn_

void BALL::VIEW::DockResultDialog::deleteColumn_ | ( |  | ) |

protected slot

Is called when context menu entry Delete Score Column is pressed. Deletes a score column.

## downwardClicked

void BALL::VIEW::DockResultDialog::downwardClicked | ( |  | ) |

slot

Is called when downward button is pressed. Selects the row below the current selected row and shows its snapshot.

## operator=()

const DockResultDialog & BALL::VIEW::DockResultDialog::operator= | ( | const DockResultDialog & | res_dialog | ) |

Assignment operator

## redock_

void BALL::VIEW::DockResultDialog::redock_ | ( |  | ) |

protected slot

Is called when context menu entry Redock is pressed. Calls DockingController::runDocking for redocking.

Parameters

  row | number of the row for which redocking should be started

## scoringClicked

void BALL::VIEW::DockResultDialog::scoringClicked | ( |  | ) |

slot

Is called when new scoring button is pressed. Calculates new scores with the chosen scoring function and adds a new score column. Calls sortTable to sort the table by this new column.

## scoringFuncChosen

void BALL::VIEW::DockResultDialog::scoringFuncChosen | ( |  | ) |

slot

Is called when a scoring function is chosen in the combobox. Sets the advanced button enabled if the selected scoring function has options otherwise the button is disabled.

## selectionChanged_

void BALL::VIEW::DockResultDialog::selectionChanged_ | ( |  | ) |

protected slot

## setDockedSystem()

void BALL::VIEW::DockResultDialog::setDockedSystem | ( | System * | system | ) |

Sets the docked system.

Parameters

  system | docked system

## setDockResult()

void BALL::VIEW::DockResultDialog::setDockResult | ( | DockResult * | dock_res | ) |

Sets the dock result.

Parameters

  dock_res | dock result

## show

void BALL::VIEW::DockResultDialog::show | ( |  | ) |

slot

Shows and raises result dialog. Fills the result table in the dialog with the values stored in dock_res_ .

## showDockingOptions

void BALL::VIEW::DockResultDialog::showDockingOptions | ( |  | ) |

slot

Is called when docking options button is pressed. Shows docking options in a small dialog.

## showScoringOptions_

void BALL::VIEW::DockResultDialog::showScoringOptions_ | ( |  | ) |

protected slot

Is called when context menu entry Scoring Options is pressed. Shows options of the scoring function in a small dialog.

Parameters

  column | number of the column for which the scoring function options should be shown

## showSnapshot

void BALL::VIEW::DockResultDialog::showSnapshot | ( |  | ) |

slot

Is called when show snapshot button is pressed or when a row of the table is double-clicked. Shows snapshot of selected row.

## sortTable

void BALL::VIEW::DockResultDialog::sortTable | ( | int | column | ) |

slot

Is called when header of a column in the result table is pressed. Sorts the result table by a clicked column. Uses nested class Compare_ for sorting.

## upwardClicked

void BALL::VIEW::DockResultDialog::upwardClicked | ( |  | ) |

slot

Is called when upward button is pressed. Selects the row above the current selected row and shows its snapshot.